// CLOCK options
// CLK is generated by GPR
`define USE_DMY_CLOCK

// CORE definition
`define SUPPORT_LDST32

// use tri-state bus (emulation for SP3)
//`define OUTPUT_MUX_TRI

// don't use OE_RAM / OE_RAM
`define OUTPUT_MUX_NONE

// mux by or IOR sub-modules
`define OUTPUT_MUX_OR

// 
//`define OUTPUT_MUX_XBI

// 
`define FLAGS_MUX_OR

// GPR build options
`define GPR_INITCLR

// tuning option
`define NO_STALL_IDX
`define GPR_WB_TUNE

// for checking performance
//`define GPR_2X_ONLY

// top layer configuration
`define RTAVR_INCLUDE_IOR
`define RTAVR_INCLUDE_RAM
`define RTAVR_INCLUDE_ROM
`define RTAVR_INCLUDE_INTCONT

// IOR configuration
//`define IOR_HAVE_PORTA
//`define IOR_HAVE_PORTB
//`define IOR_HAVE_PORTC
`define IOR_HAVE_SREG_SP
//`define IOR_HAVE_INT0
`define IOR_HAVE_TIM0
// `define IOR_HAVE_SPI 	// notyet
// `define IOR_HAVE_USART 	// notyet
// `define IOR_HAVE_TWI 	// notyet

// ROM configuration

// use rom_data.dat (using $readmemh) default
`define ROM_INCLUDE_DAT
// use rom_data.v
//`define ROM_INCLUDE_V

//`define ROM_SIZE 1024
`define ROM_SIZE 2048
//`define ROM_SIZE 4096

// S1 options : (obsolute)
//`define OUTPUT_WB_ADDR
//`define CHECK_CONFLICT
// 
`define INT0_vect_num            1
`define TIM0_COMPA_vect_num     11
`define TIM0_COMPB_vect_num     12
`define TIM0_OVF_vect_num       13
`define USART_TX_vect_num       14
`define USART_UDRE_vect_num     15
`define TWI_SLAVE_vect_num      16
`define SPI_vect_num            17
`define USART_RX_vect_num       18

`define	 PORTA_ADDR  6'h00   // PINA 0x00 , DDRA, PORTA
`define	 PORTB_ADDR  6'h04   // PINB 0x04 , DDRB, PORTB
`define	 PORTC_ADDR  6'h1b   // PINC 0x1b , DDRC, PORTC
`define	 TIM0_ADDR   6'h15   // OCR0B 0x15 - TCCR0A 0x19
`define	 SREG_ADDR   6'h3f   // SREG 0x3f , SPH,SPL,CCP,RSRFR,MCUCR 0x3a
`define	 MCUCR_ADDR  6'h3a   // MCUCR 0x3a
`define	 GIFR_ADDR   6'h0b   // GIFR 0x0b , GIMSK 0x0c
`define	 TIFR_ADDR   6'h25   // TIFR 0x25 , TIMSK 0x26  
`define	 USART_ADDR  6'h0e   // USART : (0x0e - 0x14 ADC space)
`define	 SPI_ADDR   6'h2e    // SPI : SPDR 0x2e, SPSR, SPCR
`define	 TWI_ADDR   6'h28    // TWI : TWSD 0x28, TWSAM,TWSA, TWSSRA

`define	 INT0_BIT  18     // PC2
`define	 OC0A_BIT  16     // PC0
`define	 OC0B_BIT   5     // PA5
`define	 SS_BIT    16     // PC0
`define	 SCK_BIT   17     // PC1
`define	 MOSI_BIT  20     // PC4
`define	 MISO_BIT  18     // PC2
`define	 RX_BIT    21     // PC5
`define	 TX_BIT    22     // PC6
`define	 XCK_BIT   23     // PC7
`define	 SDA_BIT   20     // PC4
`define	 SCL_BIT   17     // PC1
